Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi.server
Class ObjID

    java.lang.Object
      |
      +--java.rmi.server.ObjID

All Implemented Interfaces:
  Serializable

public final class ObjID
extends Object
implements Serializable

An `ObjID` is used to identify remote objects uniquely in a VM over time. Each identifier contains an object number and an address space identifier that is unique with respect to a specific host. An object identifier is assigned to a remote object when it is exported. If the property `java.rmi.server.randomIDs` is true, then the object number component (64 bits) of an `ObjID` created with the no argument constructor will contain a cryptographically strong random number.

Since:
  JDK1.1
See Also:
  Serialized Form

Field Summary
`static int` | `ACTIVATOR_ID` well-known id for the activator.
`static int` | `DGC_ID` well-known id for the distributed garbage collector.
`static int` | `REGISTRY_ID` well-known id for the registry.

Constructor Summary
`ObjID()` Generates a unique object identifier.
`ObjID(int num)` Generates a "well-known" object ID.

Method Summary
`boolean` | `equals(Object obj)` Two object identifiers are considered equal if they have the same contents.
`int` | `hashCode()` Returns the hash code for the `ObjID` (the object number).
`static ObjID` | `read(ObjectInput in)` Constructs an object id whose contents is read from the specified input stream.
`String` | `toString()` Returns a string containing the object id representation.
`void` | `write(ObjectOutput out)` Marshals object id to output stream.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### REGISTRY_ID

    public static final int REGISTRY_ID

  well-known id for the registry.

### ACTIVATOR_ID

    public static final int ACTIVATOR_ID

  well-known id for the activator.

### DGC_ID

    public static final int DGC_ID

  well-known id for the distributed garbage collector.

Constructor Detail

### ObjID

    public ObjID()

  Generates a unique object identifier. If the property `java.rmi.server.randomIDs` is true, then the object number component (64 bits) of an `ObjID` created with the no argument constructor will contain a cryptographically strong random number.
  Since:
    JDK1.1

### ObjID

    public ObjID(int num)

  Generates a "well-known" object ID. An object ID generated via this constructor will not clash with any object IDs generated via the default constructor.
  Parameters:
    `num` - a unique well-known object number
  Since:
    JDK1.1

Method Detail

### write

    public void write(ObjectOutput out)
               throws IOException

  Marshals object id to output stream.
  Parameters:
    `out` - output stream to write object ID to
  Throws:
    `IOException` - if an I/O error occurred
  Since:
    JDK1.1

### read

    public static ObjID read(ObjectInput in)
                      throws IOException

  Constructs an object id whose contents is read from the specified input stream.
  Parameters:
    `in` - input stream to read object ID from
  Returns:
    object ID instance read from stream
  Throws:
    `IOException` - if an I/O error occurred
  Since:
    JDK1.1

### hashCode

    public int hashCode()

  Returns the hash code for the `ObjID` (the object number).
  Overrides:
    `hashCode` in class `Object`
  Since:
    JDK1.1

### equals

    public boolean equals(Object obj)

  Two object identifiers are considered equal if they have the same contents.
  Overrides:
    `equals` in class `Object`
  Since:
    JDK1.1

### toString

    public String toString()

  Returns a string containing the object id representation. The address space identifier is included in the string representation only if the object id is from a non-local address space.
  Overrides:
    `toString` in class `Object`
  Since:
    JDK1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.